Resolution: Fixed   

Description

When we need to add some filter conditions for browse the Spent time's details and report , but suffer without this feature, resulting in

that we had to search every page. This operation is very troublesome.

So please Add Filters For Spent time's Details and Report

Like this:

 spentTimeFilter.gif 

Related issues:

Related to Redmine - Feature #2045: query work time data of one member Closed 2008-10-17

Related to Redmine - Patch #12819: German translation for #12251 r11168 and #... Closed

Related to Redmine - Feature #13157: Link on "My Page" to view all my spent t... Closed

Related to Redmine - Feature #10480: Add a checkox "only my time entries" in ... Closed

Related to Redmine - Feature #6806: view timelog entries before current month Closed 2010-11-02

Related to Redmine - Feature #7232: Time Resource Management Closed 2011-01-04

Related to Redmine - Feature #4706: Project member filter on timelog details Closed 2010-02-01

Has duplicate Redmine - Feature #6640: would like to filter time reports Closed 2010-10-12

Has duplicate Redmine - Feature #11528: time_entries details report should in... Closed

Has duplicate Redmine - Feature #12322: Show spent time comments in spent tim... Closed

Associated revisions

Revision 10967 - 2012-12-09 18:57 - Jean-Philippe Lang

Adds TimeEntryQuery for listing time entries.

Revision 10970 - 2012-12-09 20:18 - Jean-Philippe Lang

Adds filters for regular/custom fields to the time entries list/report (#10191).

Revision 10971 - 2012-12-09 20:25 - Jean-Philippe Lang

Adds filters for custom fields related to the project and user of time entries (#10191).

Revision 10998 - 2012-12-14 15:47 - Toshi MARUYAMA

German translation updated by Daniel Felix (#10191)

Revision 11171 - 2013-01-12 13:38 - Jean-Philippe Lang

Adds issue custom fields to time entries filters (#10191).

Revision 11173 - 2013-01-12 13:45 - Jean-Philippe Lang

Filling locales (#10191).

History

#1 - 2012-02-10 14:49 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please don't assign issues.
#2 - 2012-06-07 13:17 - Adrien Crivelli

We added a custom field to spent time to know if it's been billed or not. Filtering spent time by that custom field would be really neat when billing to

change from "not billed" to "bill sent".

Is there any work about that available somewhere ? any starting point for me to continue ?

#3 - 2012-10-03 14:57 - Fabrício Ferreira de Mendonça

+1. This really would be a very good option.

#4 - 2012-10-18 23:27 - Jean-Philippe Lang

- Target version set to 2.3.0

#5 - 2012-10-28 06:42 - Paul Mureev

+1

#6 - 2012-10-28 06:47 - Paul Mureev

It will be essential to add option to add custom attributes to the report columns, similar to issues.

Sorry - last sentence is addressed by #1766

#7 - 2012-10-28 17:59 - Daniel Felix

+1 from me!

#8 - 2012-12-05 11:11 - Egidijus Zideckas

+1

#9 - 2012-12-14 11:52 - Daniel Felix

Hi there,

where can I find the newly introduced translation key in r10971?

I can't find it in the current trunk. Maybe this key isn't needed anymore? Please help me to find it. :-)

I would like to translate it.

Best regards,

Daniel

#10 - 2012-12-14 13:55 - Toshi MARUYAMA

Daniel Felix wrote:

where can I find the newly introduced translation key in r10971?

 http://www.redmine.org/projects/redmine/repository/revisions/10971/diff/trunk/config/locales/de.yml

#11 - 2012-12-14 14:36 - Daniel Felix

Toshi MARUYAMA wrote:

http://www.redmine.org/projects/redmine/repository/revisions/10971/diff/trunk/config/locales/de.yml

 Hi Toshi,

I doesn't mean where I can find the translation file itself, this is pretty clear. I meaned, where could I find this translated term in the UI? I searched for

it in the german interface, but couldn't find this untranslated item.

#12 - 2012-12-14 15:13 - Toshi MARUYAMA

- File time_entries.png added
#13 - 2012-12-14 15:29 - Daniel Felix

Thanks Toshi.

This seems to be a custom field translation.

I would translate this like the other custom translation in german.

label_attribute_of_user: %{name} des Benutzers

 Best regards,

Daniel

#14 - 2012-12-14 15:48 - Toshi MARUYAMA

Daniel Felix wrote:

I would translate this like the other custom translation in german.

label_attribute_of_user: %{name} des Benutzers

 

Committed in trunk r10998, thanks.

#15 - 2013-01-06 11:12 - Daniel Felix

This one seems to work pretty well in the current trunk r11108.

Thanks for this! This is quite useful for larger projects! :-)

#16 - 2013-02-24 11:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#17 - 2013-09-21 22:33 - Mischa The Evil

- Related to Feature #4706: Project member filter on timelog details added
